# quilt.yml requirements

Just as you can use `requirements.txt` to specify code dependencies, you can use `quilt.yml` to specify data package dependencies.

## Install dependencies

```bash
$ quilt install [@FILENAME=quilt.yml]
# If @FILENAME is absent, default to ./quilt.yml
```

Installs a list of packages specified by a YAML file.

## Syntax

The YAML file must contain a `packages` node with a list of packages:

```yaml
  packages:
    - USER/PACKAGE[/SUBPACKAGE][:h[ash]|:t[ag]|:v[ersion]][:HASH|TAG|VERSION]
```

## Example

```yaml
  packages:
    - vgauthier/DynamicPopEstimate   # latest
    - danWebster/sgRNAs:a972d92      # specific hash
    - examples/sales:tag:latest      # specific tag
    - asah/snli:v:1.0                # specific version
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quilt.bio/quilt-2-master/api/quiltyml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
